## helma.framework.core
Class AppClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  helma.framework.core.AppClassLoader

    public class AppClassLoader

extends java.net.URLClassLoader

ClassLoader subclass with package accessible addURL method.

Constructor Summary
`AppClassLoader(java.lang.String appname, java.net.URL[] urls)` Create a HelmaClassLoader with the given application name and the given URLs

Method Summary
`protected void` `addURL(java.net.URL url)`
`java.lang.String` `getAppName()`
`java.lang.String` `toString()`

Methods inherited from class java.net.URLClassLoader
`definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppClassLoader

    public AppClassLoader(java.lang.String appname,
                          java.net.URL[] urls)

  Create a HelmaClassLoader with the given application name and the given URLs

Method Detail

### addURL

    protected void addURL(java.net.URL url)

  Overrides:
    `addURL` in class `java.net.URLClassLoader`

### getAppName

    public java.lang.String getAppName()

  Returns:
    ...

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.